Bug 210616 - random X freeze while moving mouse on radeon laptops
random X freeze while moving mouse on radeon laptops
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-13 07:06 EDT by Sam Folk-Williams
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 17:17:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (43.90 KB, text/plain)
2006-10-13 07:06 EDT, Sam Folk-Williams
no flags Details

  None (edit)
Description Sam Folk-Williams 2006-10-13 07:06:03 EDT
Description of problem:

About once a day my system randomly freezes while running X (gnome). I
am not sure what debugging info to collect at this point, here are some
details:

-This is a t42 thinkpad with an ATI radeon 7500
-I am running rawhide updating every day
-this started happening about 10 days ago and just happened today again
-it happens about once per day
-it does not seem to matter what applications are running
-it usually happens while i am moving the mouse

The screen completely freezes and the system does not respond to
anything. You can't go to any vtys, and I don't think you can SSH in
although I don't often have another system to try this with. The only
thing to do is a hard reset. I thought maybe the system was panicking,
so I set up kexec/kdump. But the freeze does not trigger a boot into the
kdump kernel, so I suspect it's just frozen not actually panicked.

Version-Release number of selected component (if applicable):
[root@localhost ~]# uname -r
2.6.18-1.2768.fc6
xorg-x11-drv-ati-6.6.2-4.fc6

How reproducible:
Random

Steps to Reproduce:
1. Run gnome on a radeon laptop
2. Use computer normally
3. Freeze occurs at random while using mouse
  
Actual results:
total system Freeze

Expected results:
No freeze

Additional info:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW
[Radeon Mobility 7500]

lsmod
radeon                109665  2
Comment 1 Sam Folk-Williams 2006-10-13 07:06:03 EDT
Created attachment 138415 [details]
xorg log
Comment 2 Sam Folk-Williams 2006-10-13 07:07:34 EDT
See mailing list discussion:

https://www.redhat.com/archives/fedora-devel-list/2006-October/msg00343.html

Also, this might be similar to bug #190751 from FC5.

Also, I am running with:
[root@localhost ~]# cat /etc/drirc 
<driconf>
  <device screen="0" driver="radeon">
    <application name="all">
      <option name="allow_large_textures" value="2" />
    </application>
  </device>
</driconf>

This happens with or without compiz running.
Comment 3 Karl Auerbach 2006-11-14 18:29:28 EST
I get similar behaviour on FC6 with both KDE and Gnome.

The machine is a IBM T42 Thinkpad with the Mobility Radeon 7500.

It appears to be triggered by mouse activity, at least when using the
eraser-head mouse button.  I have not been able to confirm whether it also
happens with the touchpad or an external USB mouse.

The system seems to lock up solid - I can not ctrl-alt-F# to switch screens, nor
does it seem to recognize new USB plug events.  I have not been able to test
whether it is dead to the network.  There is no activity shown on the disk or
network LED's on the machine.

The only recovery is to do a power cycle.

The occurrance seems independent of whether I've gone into standby or not since
I booted the system.

It happens several times a day.

The machine ran rock solid under FC5 with all updates applied.
Comment 4 Tadej Janež 2006-11-19 09:09:22 EST
I upgraded my xorg-x11-drv-ati package to version 6.6.3-1.fc6, which is
available in updates-testing, as is recommended in bug #212195.

I will test the new package and report back whether this update fixes the
aforementioned problems or not.
Comment 5 Karl Auerbach 2006-11-20 03:07:02 EST
Following the suggestion of Tadej Janez I applied xorg-x11-drv-ati-6.6.3-1.fc6
from updates-testing.

I've now been running for several hours now without a problem - which is much
longer than I was able to run before.
Comment 6 Tadej Janež 2006-11-22 10:08:34 EST
I'm can report that this issue is fixed for me with the update to 6.6.3.

I think this bug can be closed now.
Comment 7 Matthew Miller 2007-04-06 13:43:31 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 8 Sam Folk-Williams 2007-04-06 17:17:15 EDT
This was fixed at GA - sorry it didn't close out sooner.

-Sam

Note You need to log in before you can comment on or make changes to this bug.